Typescript (SDK)
import { Idalia } from "idalia";
const idalia = new Idalia({
apiKeyAuth: process.env["IDALIA_API_KEY_AUTH"] ?? "",
});
async function run() {
const result = await idalia.workOrders.create();
console.log(result);
}
run();curl --request POST \
--url https://idalia.app/api/work-orders \
--header 'Content-Type: application/json' \
--data '
[
{
"name": "<string>",
"typeId": "<string>",
"reference": "<string>",
"projectId": "<string>",
"statusId": "<string>",
"locationId": "<string>",
"startDate": "<string>",
"endDate": "<string>",
"notes": "<string>",
"externalIds": {}
}
]
'import requests
url = "https://idalia.app/api/work-orders"
payload = [
{
"name": "<string>",
"typeId": "<string>",
"reference": "<string>",
"projectId": "<string>",
"statusId": "<string>",
"locationId": "<string>",
"startDate": "<string>",
"endDate": "<string>",
"notes": "<string>",
"externalIds": {}
}
]
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify([
{
name: '<string>',
typeId: '<string>',
reference: '<string>',
projectId: '<string>',
statusId: '<string>',
locationId: '<string>',
startDate: '<string>',
endDate: '<string>',
notes: '<string>',
externalIds: {}
}
])
};
fetch('https://idalia.app/api/work-orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"createdAt": "<string>",
"workspaceId": "<string>",
"name": "<string>",
"typeId": "<string>",
"updatedAt": "<string>",
"reference": "<string>",
"projectId": "<string>",
"statusId": "<string>",
"locationId": "<string>",
"startDate": "<string>",
"endDate": "<string>",
"notes": "<string>",
"createdBy": "<string>",
"updatedBy": "<string>",
"externalIds": {}
}
]{
"error": "Invalid request parameters",
"code": "400"
}{
"error": "An unexpected error occurred",
"code": "500"
}Work-orders
Create work orders
Create work orders
POST
/
work-orders
Typescript (SDK)
import { Idalia } from "idalia";
const idalia = new Idalia({
apiKeyAuth: process.env["IDALIA_API_KEY_AUTH"] ?? "",
});
async function run() {
const result = await idalia.workOrders.create();
console.log(result);
}
run();Body
application/json
Work order name
ID of the work order type
Reference code of the work order
ID of the project
ID of the work order status
ID of the work order location
Datetime the work order starts
Datetime the work order ends
Notes
Show child attributes
Show child attributes
Response
Successful response
The ID
Datetime when the work order was created
ID of the workspace the work order belongs to
Work order name
ID of the work order type
Datetime the work order was last updated
Reference code of the work order
ID of the project
ID of the work order status
ID of the work order location
Datetime the work order starts
Datetime the work order ends
Notes
ID of the user who created the work order
ID of the user who last updated the work order
Show child attributes
Show child attributes
⌘I

